'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = AssistiveText;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function AssistiveText(_ref) {
    var text = _ref.text;

    if (text) {
        return _react2.default.createElement(
            'span',
            { className: 'slds-assistive-text' },
            text
        );
    }
    return null;
}

AssistiveText.propTypes = {
    text: _propTypes2.default.string
};

AssistiveText.defaultProps = {
    text: undefined
};