'use strict';

var _isStandardSprite = require('./../isStandardSprite');

var _isStandardSprite2 = _interopRequireDefault(_isStandardSprite);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('isStandardSprite()', function () {
    it('should return true when the sprite of the iconName passed is standard', function () {
        expect((0, _isStandardSprite2.default)('standard:user')).toBe(true);
    });
    it('should return false when the sprite of the iconName passed is not standard', function () {
        expect((0, _isStandardSprite2.default)('utility:user')).toBe(false);
    });
});