'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _index = require('./../index');

var _index2 = _interopRequireDefault(_index);

var _index3 = require('./../../Breadcrumb/index');

var _index4 = _interopRequireDefault(_index3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Breadcrumbs/>', function () {
    it('should have a aria-label attribute for accessibility', function () {
        var component = (0, _enzyme.shallow)(_react2.default.createElement(
            _index2.default,
            null,
            _react2.default.createElement(_index4.default, { label: 'Parent entity' })
        ));

        expect(component.find('[aria-label="Breadcrumbs"]').exists()).toBe(true);
    });
    it('should render the children passed', function () {
        var component = (0, _enzyme.shallow)(_react2.default.createElement(
            _index2.default,
            null,
            _react2.default.createElement('span', null)
        ));

        expect(component.find('span').exists()).toBe(true);
    });
});