'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _index = require('./../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Card/>', function () {
    it('should have the right class names', function () {
        var component = _reactTestRenderer2.default.create(_react2.default.createElement(
            _index2.default,
            {
                iconName: 'custom:custom72',
                title: 'Card Header',
                footer: 'Card Footer',
                actions: _react2.default.createElement(
                    'div',
                    null,
                    'Testing actions node'
                ) },
            _react2.default.createElement(
                'div',
                null,
                'Testing childrens'
            )
        ));
        expect(component).toMatchSnapshot();
    });
});