'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = HeaderTitle;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-script-url */
function HeaderTitle(_ref) {
    var title = _ref.title;

    if (typeof title === 'string') {
        return _react2.default.createElement(
            'div',
            { className: 'slds-media__body' },
            _react2.default.createElement(
                'h2',
                null,
                _react2.default.createElement(
                    'a',
                    { href: 'javascript:void(0);', className: 'slds-card__header-link slds-truncate' },
                    _react2.default.createElement(
                        'span',
                        { className: 'slds-text-heading_small' },
                        title
                    )
                )
            )
        );
    }
    return _react2.default.createElement(
        'div',
        { className: 'slds-media__body' },
        title
    );
}

HeaderTitle.propTypes = {
    title: _propTypes2.default.string
};
HeaderTitle.defaultProps = {
    title: null
};