'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _help = require('./../help');

var _help2 = _interopRequireDefault(_help);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<InputHelp/>', function () {
    it('should not render the help text when it is not passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_help2.default, null));
        expect(component.find('div[className="slds-form-element__help slds-color__text_gray-11"]').exists()).toBe(false);
    });
    it('should render the help text passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_help2.default, { text: 'Help text' }));
        var help = component.find('div[className="slds-form-element__help slds-color__text_gray-11"]');
        expect(help.exists()).toBe(true);
        expect(help.text()).toBe('Help text');
    });
});