'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = Error;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Error(_ref) {
    var id = _ref.id,
        error = _ref.error;

    if (error) {
        return _react2.default.createElement(
            'div',
            { id: id, className: 'slds-form-element__help' },
            error
        );
    }
    return null;
}

Error.propTypes = {
    error: _propTypes2.default.node,
    id: _propTypes2.default.string
};

Error.defaultProps = {
    error: null,
    id: undefined
};