'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<MenuDivider />', function () {
    it('should set the prop role as separator in li element', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_2.default, null));
        expect(component.find('li').prop('role')).toBe('separator');
    });
    it('should set the right className to li element when variant default is passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_2.default, { variant: 'default' }));
        expect(component.find('li').prop('className')).toBe('slds-has-divider_top');
    });
    it('should set the right className to li element when variant space is passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_2.default, { variant: 'space' }));
        expect(component.find('li').prop('className')).toBe('slds-has-divider_top-space');
    });
});