'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _ = require('./../');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<VerticalSection/>', function () {
    it('should have the right className the container element', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_2.default, null));
        expect(component.find('div[className="slds-nav-vertical__section"]').exists()).toBe(true);
    });
    it('should pass the label passed to the Header component', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_2.default, { label: 'header label' }));
        expect(component.find('Header').prop('label')).toBe('header label');
    });
    it('should render the children passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(
            _2.default,
            null,
            'the children text'
        ));
        expect(component.find('ul').text()).toBe('the children text');
    });
});