'use strict';

var _label = require('./../label');

var _label2 = _interopRequireDefault(_label);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<VerticalSectionOverflowLabel/>', function () {
    it('should return the expanded label when isExpanded is true', function () {
        expect((0, _label2.default)({
            expandedLabel: 'is expanded',
            collapsedLabel: 'is collapsed',
            isExpanded: true
        })).toBe('is expanded');
    });
    it('should return the collapsed label when isExpanded is false', function () {
        expect((0, _label2.default)({
            expandedLabel: 'is expanded',
            collapsedLabel: 'is collapsed',
            isExpanded: false
        })).toBe('is collapsed');
    });
});