'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _index = require('./../index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<AssistiveText/>', function () {
    it('should not render the text when is not passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_index2.default, null));
        expect(component.find('.slds-assistive-text').length).toBe(0);
    });
    it('should render the text passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_index2.default, { text: 'for screen readers' }));
        expect(component.find('.slds-assistive-text').text()).toBe('for screen readers');
    });
});