'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _footer = require('./../footer');

var _footer2 = _interopRequireDefault(_footer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<Footer/>', function () {
    it('should render the footer node when footer is passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_footer2.default, { content: _react2.default.createElement(
                'div',
                null,
                'my footer'
            ) }));
        expect(component.find('.slds-card__footer').text()).toBe('my footer');
    });
});