'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _headerIcon = require('./../headerIcon');

var _headerIcon2 = _interopRequireDefault(_headerIcon);

var _Icon = require('../../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<HeaderIcon/>', function () {
    it('should set the iconName passed as the prop iconName in the Icon', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_headerIcon2.default, { iconName: 'standard:contact' }));
        expect(component.find(_Icon2.default).prop('iconName')).toBe('standard:contact');
    });
    it('should render the Icon when iconName is passed', function () {
        var component = (0, _enzyme.mount)(_react2.default.createElement(_headerIcon2.default, { iconName: 'standard:contact' }));
        expect(component.find(_Icon2.default).exists()).toBe(true);
    });
});