'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = Footer;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Footer(_ref) {
    var content = _ref.content,
        isLoading = _ref.isLoading;

    if (content && !isLoading) {
        return _react2.default.createElement(
            'footer',
            { className: 'slds-card__footer' },
            content
        );
    }
    return null;
}

Footer.propTypes = {
    content: _propTypes2.default.node,
    isLoading: _propTypes2.default.bool
};

Footer.defaultProps = {
    content: null,
    isLoading: null
};