'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = HeaderIcon;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function HeaderIcon(_ref) {
    var iconName = _ref.iconName;

    if (iconName) {
        return _react2.default.createElement(
            'div',
            { className: 'slds-media__figure' },
            _react2.default.createElement(_Icon2.default, { iconName: iconName, size: 'small' })
        );
    }
    return null;
}

HeaderIcon.propTypes = {
    iconName: _propTypes2.default.string
};
HeaderIcon.defaultProps = {
    iconName: null
};