'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isIconNameValid = isIconNameValid;
exports.getSpriteName = getSpriteName;
exports.getIconName = getIconName;
var FORMAT_REGEX = /^[a-z]+:[a-z_0-9]+$/;

function isIconNameValid(iconName) {
    return FORMAT_REGEX.test(iconName);
}

function getSpriteName(iconName) {
    return iconName.split(':')[0];
}

function getIconName(iconName) {
    return iconName.split(':')[1];
}