'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = Help;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Help(_ref) {
    var text = _ref.text;

    if (text) {
        return _react2.default.createElement(
            'div',
            { className: 'slds-form-element__help slds-color__text_gray-11' },
            text
        );
    }
    return null;
}

Help.propTypes = {
    text: _propTypes2.default.node
};

Help.defaultProps = {
    text: null
};