'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = ItemIcon;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ItemIcon(_ref) {
    var iconName = _ref.iconName;

    if (iconName) {
        return _react2.default.createElement(_Icon2.default, {
            iconName: iconName,
            className: 'slds-line-height_reset',
            svgClassName: 'slds-m-right_x-small',
            size: 'x-small' });
    }
    return null;
}

ItemIcon.propTypes = {
    iconName: _propTypes2.default.string
};

ItemIcon.defaultProps = {
    iconName: undefined
};