'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = Notification;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Notification(_ref) {
    var notification = _ref.notification;

    if (notification) {
        return _react2.default.createElement(
            'span',
            { className: 'slds-col_bump-left' },
            notification
        );
    }
    return null;
}

Notification.propTypes = {
    notification: _propTypes2.default.node
};

Notification.defaultProps = {
    notification: null
};