'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = Label;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Label(_ref) {
    var expandedLabel = _ref.expandedLabel,
        collapsedLabel = _ref.collapsedLabel,
        isExpanded = _ref.isExpanded;

    if (isExpanded) {
        return expandedLabel;
    }
    return collapsedLabel;
}

Label.propTypes = {
    expandedLabel: _propTypes2.default.node.isRequired,
    collapsedLabel: _propTypes2.default.node.isRequired,
    isExpanded: _propTypes2.default.bool.isRequired
};